{{- if .Values.PodDisruptionBudget.enabled }}
apiVersion: policy/v1
kind: PodDisruptionBudget
metadata:
  name: {{ .Values.serviceName | default .Release.Name }}-pdb
  labels:
    app: {{ .Release.Name }}
    createDate: {{ now | htmlDate }}
    {{- include "deployment.labels" . | nindent 4 }}
    {{ with .Values.Labels }}
      {{- toYaml . | nindent 4 }}
    {{ end }}
spec:
  selector:
    matchLabels:
      app: {{ .Release.Name }}
      createDate: {{ now | htmlDate }}
      {{ with .Values.Labels }}
        {{- toYaml . | nindent 6 }}
      {{ end }}
  minAvailable: {{ .Values.PodDisruptionBudget.minAvailable }}
  maxUnavailable: {{ .Values.PodDisruptionBudget.maxUnavailable }}
{{- end }}
